Permalink
Browse files

Add note on not using ruffy UI when using AndroidAPS.

  • Loading branch information...
jotomo committed May 2, 2018
1 parent 968505f commit 9fbc4b1499e2be7556a8915227dc4285e5887cd9
Showing with 18 additions and 8 deletions.
  1. +10 −6 app/build.gradle
  2. +7 −1 app/src/main/res/layout/fragment_main.xml
  3. +1 −1 build.gradle
@@ -31,8 +31,8 @@ def generateVersionName = { ->
}

android {
compileSdkVersion 27

compileSdkVersion 25
buildToolsVersion '26.0.2'
defaultConfig {
applicationId "org.monkey.d.ruffy.ruffy"
minSdkVersion 19
@@ -50,8 +50,12 @@ android {
}

dependencies {
implementation fileTree(dir: 'libs', include: ['*.jar'])
implementation 'com.android.support:appcompat-v7:27.1.0'
implementation 'com.android.support:design:27.1.0'
implementation 'org.apache.commons:commons-lang3:3.7'
compile fileTree(dir: 'libs', include: ['*.jar'])
androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
exclude group: 'com.android.support', module: 'support-annotations'
})
compile 'com.android.support:appcompat-v7:25.+'
compile 'com.android.support:design:25.+'
compile 'org.apache.commons:commons-lang3:3.7'
testCompile 'junit:junit:4.12'
}
@@ -7,10 +7,16 @@
android:paddingBottom="@dimen/activity_vertical_margin"
android:paddingLeft="@dimen/activity_horizontal_margin"
android:paddingRight="@dimen/activity_horizontal_margin"
android:paddingTop="@dimen/activity_vertical_margin"
tools:context="org.monkey.d.ruffy.ruffy.SetupFragment"
android:orientation="vertical">

<TextView
android:layout_width="match_parent"
android:layout_height="wrap_content"
android:text="Note that when using AndroidAPS, you can not access the Combo using ruffy. AndroidAPS will start ruffy in the background as needed and needs exclusive access. Please restart your phone before using the Combo with AndroidAPS."
android:layout_marginTop="5dp"
android:layout_marginBottom="5dp"/>

<TextView
android:id="@+id/main_log"
style="@style/Base.TextAppearance.AppCompat.Medium.Inverse"
@@ -6,7 +6,7 @@ buildscript {
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.1.2'
classpath 'com.android.tools.build:gradle:3.0.1'

// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files

0 comments on commit 9fbc4b1

Please sign in to comment.